<?xml version="1.0"?>
<opencv_storage>
<Settings>

<!-- {1,3,7.0,55,39},{4,6,14.0,43,31},{7,9,28.0,37,29} -->
  <Circle_Board_Info> "{1,3,60,15,11}"</Circle_Board_Info><!--30 打印-->

  <ZRotateThreshold>0.55</ZRotateThreshold>
  <Bs_Detect_Circle>1</Bs_Detect_Circle>

  <!-- 1、光轴；2、光轴+offset；3、光轴+offset+CEC；4、FPN；5、PRECEC; 6、depth check -->
  <Moca_Offset_Calib>3</Moca_Offset_Calib>

  <Binary_Method>4</Binary_Method>
  <Binary_Threshold>10</Binary_Threshold>

  <Debug_Level>0</Debug_Level>
  <Write_outputFileName>"/data/vendor/camera/out_camera_data.txt"</Write_outputFileName>

  <HW_CalibChart_Version>3</HW_CalibChart_Version>
  <HW_CalibChart_Pattern>0</HW_CalibChart_Pattern>
  <HW_Calib_Version>4</HW_Calib_Version>
  <Board_Distance_Num>1</Board_Distance_Num>
  <Photos_In_One_Distance>"5"</Photos_In_One_Distance>
  <Fre_In_One_Angle>4</Fre_In_One_Angle>

  <!-- Temp_Slope_Info:0 cmda on 20; 1:cdma off 20; 2 cmda on 60; 3:cdma off 60; 4 cmda on 100; 5:cdma off 100; --->
  <Temp_Slope_Info>"{0,0,0,0,0,0}"</Temp_Slope_Info>

  <!--depth check only support 50 and 70, don't config other value-->
  <Board_Distance>"50"</Board_Distance>
  <OTP_Depth_Buffer_Size>600</OTP_Depth_Buffer_Size>
  <OTP_Offset_Buffer_Size>1056</OTP_Offset_Buffer_Size>
  <OTP_PRECEC_Buffer_Size>700</OTP_PRECEC_Buffer_Size>
  <OTP_CEC_Buffer_Size>87108</OTP_CEC_Buffer_Size>
  <OTP_FPN_Buffer_Size>86408</OTP_FPN_Buffer_Size>

   <!-- Camera_Valid_Params  distance,fov,optical center(x,y)(pixel),distence between two optical center ,shift(x,y,z)(mm),rotation(x,y,z)(degree),distance num(1-dist1,2-dist2,3-dist3,no use here),dist1,dist2,dist3. -->
   <Camera_Params>"{40,0,120.0,90.0,120.0,90.0,0,0,-30.92,0.0,0.0,0.0,0.0,0.0,22.68,55.08,98.28}"</Camera_Params>
   <!-- Camera_Valid_Threshold  distance,fov,optical center(x,y)(pixel),distence between two optical center shift(x,y,z)(mm),rotation(x,y,z)(degree),dist1_valid_percent,dist2_valid_percent,dist3_valid_percent. -->
   <Camera_Params_Threshold>"{70,90,10.0,10.0,10.0,10.0,10.0,10.0,3.5,3.5,5.5,3.1,2.8,3.5,17.48,45.08,81.88}"</Camera_Params_Threshold>

   <CEC_GrayThreshold_Num>3</CEC_GrayThreshold_Num>
   <CEC_GrayThreshold>"{60,60,60}"</CEC_GrayThreshold>
   <CEC_confEdgeThreshold>50</CEC_confEdgeThreshold>
   <CEC_imageHeight>180</CEC_imageHeight>
   <CEC_imageWidth>240</CEC_imageWidth>
   <CEC_BlockNum>9</CEC_BlockNum>
   <CEC_areaMin>100</CEC_areaMin>
   <CEC_areaMax>400</CEC_areaMax>
   <CEC_lengthMin>8</CEC_lengthMin>
   <CEC_lengthMax>25</CEC_lengthMax>
   <CEC_pixel_num>5</CEC_pixel_num>
   <CEC_cecLockupTableSize>1024</CEC_cecLockupTableSize>
   <!-- leftup x y rightdown x y -->
   <CEC_Roi_Num>2</CEC_Roi_Num>
   <CEC_Roi>"{70,40,170,140}"</CEC_Roi>
   <CEC_catTreePositionError>40</CEC_catTreePositionError>
   <CEC_PositionCheckCenter>"{120,90}"</CEC_PositionCheckCenter>
   <CEC_groundTruth_Num>9</CEC_groundTruth_Num>
   <CEC_groundTruth60M>"{ 507.1489f, 604.3046f, 710.0085f, 811.4382f, 906.4568f, 1014.298f, 1107.892f, 1208.609f, 1300.0f }"</CEC_groundTruth60M>
   <CEC_groundTruth100M>"{ 507.1489f, 604.3046f, 710.0085f, 811.4382f, 906.4568f, 1014.298f, 1107.892f, 1208.609f, 1300.0f }"</CEC_groundTruth100M>

   <CEC_check_threshold>4</CEC_check_threshold> <!-- left-right 阈值-->
   <CEC_left_threshold>"{4,20,100}"</CEC_left_threshold>   <!-- left 阈值-->
   <CEC_check_up>50</CEC_check_up>               <!-- 上行号-->
   <CEC_check_down>130</CEC_check_down>          <!-- 下行号-->
   <CEC_check_width>20</CEC_check_width>         <!-- 宽度-->

   <!--below is for depth check-->
   <!-- Total 49 parameter 1 uniformity,12 mode * 4 threshold
	50cm depth check;
	Uniformity 0.2,
	MODE_CDMA_ON_20M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision
	MODE_CDMA_ON_60M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision
	MODE_CDMA_ON_100M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision
	MODE_CDMA_OFF_20M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision
	MODE_CDMA_OFF_60M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision
	MODE_CDMA_OFF_100M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision

	70cm depthcheck;
	Uniformity 0.2,
	MODE_CDMA_ON_20M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision
	MODE_CDMA_ON_60M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision
	MODE_CDMA_ON_100M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision
	MODE_CDMA_OFF_20M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision
	MODE_CDMA_OFF_60M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision
	MODE_CDMA_OFF_100M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision
   -->
   <Depth_Check_Mode_Num>12</Depth_Check_Mode_Num>
   <!--0:factory 1:建议维修网点，charter正贴，导致深度异常，深度检测需要额外进行处理 -->
   <Depth_Check_Version>1</Depth_Check_Version>
   <Uniformity_Threshold>0</Uniformity_Threshold>
   <UniformityCenterBrightness_Threshold>0</UniformityCenterBrightness_Threshold>
   <Depth_Check_Threshold>"{20,50,500,2.0,100,10,20,500,1.5,100,10,20,500,1.5,100,20,50,500,2.0,100,10,20,500,1.5,100,10,20,500,1.5,100,20,50,500,2.0,100,10,20,500,1.5,100,10,20,500,1.5,100,20,50,500,2.0,100,10,20,500,1.5,100,10,20,500,1.5,100}"</Depth_Check_Threshold>
   <!--totalframenum50cm  100cm,ROIratio,depth_erratio,-->
   <Depth_Check_parameter>"{25,25,0.8,50}"</Depth_Check_parameter>

   <PreCEC_Calibration_Config name="PRE_CEC" item="0" distnum="1" anglenum="1" collect="25" skip="1" modes="0xB,0xC" expo="0x11940">ItemConfig</PreCEC_Calibration_Config>
   <Temperature_Shift_Calibration_Config name="TEMPERATURE_SHIFT" item="1" distnum="1" anglenum="1" skip="0">ItemConfig</Temperature_Shift_Calibration_Config>
   <CEC_Dual_Offset_Calibration_Config name="CEC_DUAL_OFFSET" item="2" moduleholder="false" collect="25" skip="1" expo="0x11940" mainexpo="20000" mainiso="300" modes="0xD, 0xE">ItemConfig</CEC_Dual_Offset_Calibration_Config>
   <Depth_Check_Config name="DEPTH_CHECK" item="3" needgray="false" distance="70" distnum="1" anglenum="1" collect="25" skip="1" expo="0x11940" mainexpo="20000" mainiso="300" modes="0xD, 0xE" angles="2">ItemConfig</Depth_Check_Config>
   <Eye_Safe_Calibration_Verification_Config name="EYE_SAFE" item="5" pdthreshold="0.1" pdtargets="lumentum:166,vertilite:166,ams:166" calibskip="0" verifyskip="1">ItemConfig</Eye_Safe_Calibration_Verification_Config>
</Settings>
</opencv_storage>